Bug 990691 - Review Request: erlang-sidejob - An Erlang library that implements a parallel, capacity-limited request pool
Review Request: erlang-sidejob - An Erlang library that implements a parallel...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 14:50 EDT by Peter Lemenkov
Modified: 2013-08-06 10:04 EDT (History)
3 users (show)

See Also:
Fixed In Version: erlang-sidejob-0.2.0-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-06 10:04:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2013-07-31 14:50:22 EDT
Spec URL: http://peter.fedorapeople.org/erlang-sidejob.spec
SRPM URL: http://peter.fedorapeople.org/erlang-sidejob-0.2.0-1.fc20.src.rpm
Description: An Erlang library that implements a parallel, capacity-limited request pool. In sidejob, these pools are called resources. A resource is managed by multiple gen_server like processes which can be sent calls and casts using sidejob:call or sidejob:cast respectively.
Fedora Account System Username: peter

This is one of the requirements for Riak 1.3.2+.

Koji scratchbuild for Rawhide:

http://koji.fedoraproject.org/koji/taskinfo?taskID=5686162
Comment 1 Zbigniew Jędrzejewski-Szmek 2013-08-05 22:48:28 EDT
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

- rpmlint is not completely silent
erlang-sidejob.armv7hl: E: no-binary
erlang-sidejob.armv7hl: W: only-non-binary-in-usr-lib
^^^ erlang-specific false positives

erlang-sidejob.armv7hl: E: zero-length /usr/share/doc/erlang-sidejob/README.md
^^^ This is an upstream issue really, but there's no point in packaging an empty file.

erlang-sidejob.spec: W: invalid-url Source0: basho-sidejob-0.2.0-0-ga954ada.tar.gz
Please use https://github.com/basho/sidejob/archive/0.2.0.tar.gz as the Source. It can be downloaded directly.

1 packages and 1 specfiles checked; 2 errors, 2 warnings.

+ The package is named according to the  Package Naming Guidelines.
Package follows erlang package naming guidelines.

+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
This one is of course the hardest, but I couldn't find anything amiss.

+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (Apache License v. 2).
There's no separate license file, but headers in file specify this license.

- The file, containing the text of the license(s) for the package, is included in %doc.
Please ask upstream to include license file.

+ The spec file is written in American English.
+ The spec file for the package is legible.
Spec file is actually very clear.

- The sources used to build the package, match the upstream source, as provided in the spec URL.
Please use https://github.com/basho/sidejob/archive/0.2.0.tar.gz as the Source. 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
Is the explicit version in 'erlang-erts >= R13B' necessary? Isn't R13B ancient?

0 No need to handle locales.
0 The package doesn't store shared library files.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package MUST own all directories that it creates.
+ The package doesn't list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No static libraries.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ All filenames in rpm packages are valid UTF-8.

Please fix the remaining issues with Source and %doc before uploading to Fedora Git. This package is

APPROVED.
Comment 2 Peter Lemenkov 2013-08-06 07:54:40 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> REVIEW:
> 
> Legend: + = PASSED, - = FAILED, 0 = Not Applicable

> erlang-sidejob.armv7hl: E: zero-length
> /usr/share/doc/erlang-sidejob/README.md
> ^^^ This is an upstream issue really, but there's no point in packaging an
> empty file.

Fixed. Thanks for spotting this.

> erlang-sidejob.spec: W: invalid-url Source0:
> basho-sidejob-0.2.0-0-ga954ada.tar.gz
> Please use https://github.com/basho/sidejob/archive/0.2.0.tar.gz as the
> Source. It can be downloaded directly.

Ok, fixed this.

Here is a new package:

* http://peter.fedorapeople.org/erlang-sidejob.spec
* http://peter.fedorapeople.org/erlang-sidejob-0.2.0-2.fc20.src.rpm

> Please fix the remaining issues with Source and %doc before uploading to
> Fedora Git. This package is
> 
> APPROVED.

Thanks! But you forgot to raise fedora-review flag to +.
Comment 3 Peter Lemenkov 2013-08-06 08:36:12 EDT
New Package SCM Request
=======================
Package Name: erlang-sidejob
Short Description: An Erlang library that implements a parallel, capacity-limited request pool
Owners: peter
Branches: f19 el6
InitialCC:
Comment 4 Gwyn Ciesla 2013-08-06 09:17:55 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.